Name: pokerth
Summary: PokerTH - play Texas Holdem Poker alone or online
Version: 0.6.2
Release: %mkrel 5
License: GPLv2+
Group: Games/Cards
URL: http://www.pokerth.net/
Source0: http://downloads.sourceforge.net/pokerth/PokerTH-%{version}-src.tar.bz2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: chrpath
BuildRequires: qt4-devel
BuildRequires: gnutls-devel
BuildRequires: boost-devel
BuildRequires: curl-devel
BuildRequires: SDL_mixer1.2-devel
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
PokerTH is a multi-platform poker game.
It allows you to play the popular "Texas Hold'em" poker variant against up to 
six computer-opponents or play network games with people all over the world.

%package server
Summary: PokerTH server
Group: Games/Cards

%description server
PokerTH server.

%prep
%setup -q -n PokerTH-%{version}-src
perl -pi -e "s|.png||" %{name}.desktop
perl -pi -e "s|\r\n|\n|" ChangeLog docs/net_protocol.txt

%build
export QTDIR=%{qt4dir}
%qmake_qt4 pokerth_lib.pro -o Makefile_lib
%make -f Makefile_lib
%qmake_qt4 pokerth_game.pro -o Makefile_game
%make -f Makefile_game

%serverbuild
%qmake_qt4 pokerth_server.pro -o Makefile_server
%make -f Makefile_server

%install
rm -rf %{buildroot}
#data
make -f Makefile_game install INSTALL_ROOT=%{buildroot}
#binaries
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/
install -m 755 bin/%{name}_server %{buildroot}%{_bindir}/
#man page
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/
#icon
install -d -m 755 %{buildroot}%{_iconsdir}
install -m 644 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
#menu
install -d -m 755 %{buildroot}%{_datadir}/applications/
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/


mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor="" \
  --remove-key="Version" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Cards" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

%{_bindir}/chrpath -d %{buildroot}%{_bindir}/%{name}
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/%{name}_server

%if %mdkversion < 200900
%post
%{update_desktop_database}
%{update_menus}
%endif
 
%if %mdkversion < 200900
%postun
%{clean_desktop_database}
%{clean_menus} 
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ChangeLog docs/net_protocol.txt
%attr(0755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png

%files server
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING docs/net_protocol.txt
%attr(0755,root,root) %{_bindir}/%{name}_server


%changelog
* Tue Aug 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-5mdv2009.0
+ Revision: 273511
- rebuild against new boost

* Mon Aug 18 2008 Funda Wang <fundawang@mandriva.org> 0.6.2-4mdv2009.0
+ Revision: 273426
- BR new boost

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 0.6.2-3mdv2009.0
+ Revision: 263958
- build server with server opts

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 0.6.2-2mdv2009.0
+ Revision: 263949
- specify qtdir using macro
- compile with new compile flags

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 29 2008 David Walluck <walluck@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 212877
- BuildRequires: curl-devel
- no need for n flag on subpackage
- 0.6.2
- remove overloaded macros
- fix License
- BuildRequires: gnutls-devel now instead of openssl-devel
- remove rpath from binaries
- fix manpage location
- call update-desktop-database
- fix eol in net_protocol.txt

* Wed Mar 26 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 190340
- 0.6.1
- dropped obsolete patch
- added an icon

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Thu Dec 20 2007 Guillaume Bedot <littletux@mandriva.org> 0.6-2mdv2008.1
+ Revision: 135889
- Fix perms
- Allow license to be displayed

* Tue Dec 18 2007 Guillaume Bedot <littletux@mandriva.org> 0.6-1mdv2008.1
+ Revision: 131979
- import pokerth


* Mon Dec 17 2007 Guillaume Bedot <littletux@zarb.org> 0.6-1mdv2008.1
- First package of PokerTH for MandrivaLinux, thanks to William Rod.
